%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-pydns
Version:        2.3.3
Release:        1%{?dist}
Summary:        Python module for DNS (Domain Name Service)

Group:          Development/Languages
License:        Python
URL:            http://pydns.sourceforge.net/
Source0:        http://download.sourceforge.net/pydns/pydns-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel

%description
This is a another release of the pydns code, as originally written by
Guido van Rossum, and with a hopefully nicer API bolted over the
top of it by Anthony Baxter <anthony@interlink.com.au>.

This package contains a module (dnslib) that implements a DNS
(Domain Name Server) client, plus additional modules that define some
symbolic constants used by DNS (dnstype, dnsclass, dnsopcode).

%define namewithoutpythonprefix %(echo %{name} | sed 's/^python-//')
%prep
%setup -q -n %{namewithoutpythonprefix}-%{version}
#  fix encoding of files
for file in DNS/*.py;
do
	echo '# -*- coding: latin-1 -*-' >"${file}".new
	cat "${file}" >>"${file}".new
	cat "${file}".new >"${file}"
	rm "${file}".new
	head "${file}" #@@@
done


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc CREDITS.txt PKG-INFO README-guido.txt README.txt
%dir %{python_sitelib}/DNS
%{python_sitelib}/DNS/*.py*
%{python_sitelib}/pydns-%{version}-py*.egg-info

%changelog 
* Wed Sep  3 2008 Tom "spot" Callaway <tcallawa@redhat.com> 2.3.3-1
- fix license tag
- update to 2.3.3

* Sun Jan 21 2007 Sean Reifschneider <jafo@tummy.com> 2.3.0-5
- Adding encoding of the Python files.

* Thu Aug 31 2006 Sean Reifschneider <jafo@tummy.com> 2.3.0-4
- Fixing .spec file changelog entries.

* Wed Aug 30 2006 Sean Reifschneider <jafo@tummy.com> 2.3.0-3
- Changes based on Kevin Fenzi's review.

* Wed Aug 30 2006 Sean Reifschneider <jafo@tummy.com> 2.3.0-2
- Changes based on Kevin Fenzi's review.

* Tue Aug 29 2006 Sean Reifschneider <jafo@tummy.com> 2.3.0-1
- Initial RPM spec file.
